Workout With Friends Stay fit with a little motivation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Properties
Public Member Functions | Static Public Attributes | Static Private Attributes | List of all members
wowf.models.notification.UploadedWorkoutNotification Class Reference
Inheritance diagram for wowf.models.notification.UploadedWorkoutNotification:
Collaboration diagram for wowf.models.notification.UploadedWorkoutNotification:

## Public Member Functions
def | message
Public Member Functions inherited from wowf.models.notification._Notification
def | id
Public Member Functions inherited from wowf.models.notification.Notification
def | __unicode__
def | add_recipients
Public Member Functions inherited from wowf.models.meta.Base
def | __str__
def | __repr__
def | get_by_id
def | create
def | delete
Public Member Functions inherited from wowf.lib.fulltext.FulltextBase
def | index_type
def | index_id
def | index_data
def | add_index
| Add a fulltext index for this instance.
def | delete_index
| Delete the fulltext index for this instance.
def | update_index
| Update the fulltext index for this instance.

## Static Public Attributes
tuple | user_id = Column(Integer(unsigned=True), ForeignKey('users.id', ondelete='cascade'), nullable=False)
tuple | challenge_id = Column(Integer(unsigned=True), ForeignKey('challenges.id', ondelete='cascade'), nullable=False)
tuple | user = relationship('User', lazy='joined')
tuple | challenge = relationship('Challenge', lazy='joined')
Static Public Attributes inherited from wowf.models.notification.Notification
tuple | id = Column(Integer(unsigned=True), primary_key=True)
tuple | notification_type_id
tuple | created_at = Column(DateTime, nullable=False, default=current_timestamp)
tuple | users
Static Public Attributes inherited from wowf.models.meta.Base
tuple | query = DBSession.query_property()
Static Public Attributes inherited from wowf.lib.fulltext.FulltextBase
list | index_fields = []

## Static Private Attributes
string | __tablename__ = 'uploaded_workout_notifications'
dictionary | __mapper_args__ = {'polymorphic_identity': NotificationType.lookup_data.index('uploaded_workout') + 1}

## Detailed Description

Definition at line 120 of file notification.py.

## Member Function Documentation

def wowf.models.notification.UploadedWorkoutNotification.message | ( |  | self | ) |

Definition at line 131 of file notification.py.

## Member Data Documentation

dictionary wowf.models.notification.UploadedWorkoutNotification.__mapper_args__ = {'polymorphic_identity': NotificationType.lookup_data.index('uploaded_workout') + 1}
| static private

Definition at line 123 of file notification.py.

string wowf.models.notification.UploadedWorkoutNotification.__tablename__ = 'uploaded_workout_notifications'
| static private

Definition at line 122 of file notification.py.

tuple wowf.models.notification.UploadedWorkoutNotification.challenge = relationship('Challenge', lazy='joined')
| static

Definition at line 128 of file notification.py.

tuple wowf.models.notification.UploadedWorkoutNotification.challenge_id = Column(Integer(unsigned=True), ForeignKey('challenges.id', ondelete='cascade'), nullable=False)
| static

Definition at line 125 of file notification.py.

tuple wowf.models.notification.UploadedWorkoutNotification.user = relationship('User', lazy='joined')
| static

Definition at line 127 of file notification.py.

tuple wowf.models.notification.UploadedWorkoutNotification.user_id = Column(Integer(unsigned=True), ForeignKey('users.id', ondelete='cascade'), nullable=False)
| static

Definition at line 124 of file notification.py.

The documentation for this class was generated from the following file:

- wowf/models/notification.py